<template>
    <v-snackbar
            v-model="snackbar"
            :timeout="timeout"
            :color="color"
            top
    >
        {{ getErrors.message }}
    </v-snackbar>
</template>

<script>
    import {mapGetters, mapMutations} from 'vuex'
    export default {
        name: "error",
        data () {
            return {
                timeout: 6000
            }
        },
        methods: {
            ...mapMutations({
                setErrors: 'movieManagement/setErrors'
            })
        },
        computed: {
            ...mapGetters({
                getErrors: 'movieManagement/getErrors'
            }),
            snackbar: {
                get () {
                    return this.getErrors.type_message !== ''
                },
                set (val) {
                    if (val === false) {
                        this.setErrors("clear")
                    }
                }
            },
            color () {
                switch (this.getErrors.type_alert) {
                    case 'OK': return 'green';
                    case 'KO': return 'red';
                    case 'warning': return 'orange';
                }
            }
        }
    }
</script>

<style scoped>

</style>
